Fetch details of a participant
GET/accounts/{account_id}/realtime/kit/{app_id}/sessions/{session_id}/participants/{participant_id}
Returns details of the given participant ID along with call statistics for the given session ID.
Security
API Token
The preferred authorization scheme for interacting with the Cloudflare API. Create a token.
Example:
Accepted Permissions (at least one required)
Path Parameters
Query Parameters
Fetch details of a participant
curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/realtime/kit/$APP_ID/sessions/$SESSION_ID/participants/$PARTICIPANT_ID \
-H "Authorization: Bearer $CLOUDFLARE_API_TOKEN"{
"data": {
"participant": {
"id": "id",
"created_at": "created_at",
"custom_participant_id": "custom_participant_id",
"display_name": "display_name",
"duration": 0,
"joined_at": "joined_at",
"left_at": "left_at",
"peer_stats": {
"config": "config",
"device_info": {
"browser": "browser",
"browser_version": "browser_version",
"cpus": 0,
"engine": "engine",
"is_mobile": true,
"memory": 0,
"os": "os",
"os_version": "os_version",
"sdk_name": "sdk_name",
"sdk_version": "sdk_version",
"user_agent": "user_agent",
"webgl_support": "webgl_support"
},
"events": [
{
"timestamp": "timestamp",
"type": "type"
}
],
"ip_information": {
"city": "city",
"country": "country",
"ip_location": "ip_location",
"ipv4": "ipv4",
"org": "org",
"portal": "portal",
"region": "region",
"timezone": "timezone"
},
"precall_network_information": {
"backend_rtt": 0,
"effective_networktype": "effective_networktype",
"fractional_loss": 0,
"jitter": 0,
"reflexive_connectivity": true,
"relay_connectivity": true,
"rtt": 0,
"throughtput": 0,
"turn_connectivity": true
},
"status": "status"
},
"preset_name": "preset_name",
"quality_stats": [
{
"audio_bandwidth": 0,
"audio_packet_loss": 0,
"audio_stats": [
{
"concealment_events": 0,
"jitter": 0,
"packets_lost": 0,
"quality": 0,
"timestamp": "timestamp"
}
],
"average_quality": 0,
"end": "end",
"peer_id": "peer_id",
"start": "start",
"video_bandwidth": 0,
"video_packet_loss": 0,
"video_stats": [
{
"frame_height": 0,
"frame_width": 0,
"frames_dropped": 0,
"frames_per_second": 0,
"jitter": 0,
"packets_lost": 0,
"quality": 0,
"timestamp": "timestamp"
}
]
}
],
"updated_at": "updated_at",
"user_id": "user_id"
}
},
"success": true
}Returns Examples
{
"data": {
"participant": {
"id": "id",
"created_at": "created_at",
"custom_participant_id": "custom_participant_id",
"display_name": "display_name",
"duration": 0,
"joined_at": "joined_at",
"left_at": "left_at",
"peer_stats": {
"config": "config",
"device_info": {
"browser": "browser",
"browser_version": "browser_version",
"cpus": 0,
"engine": "engine",
"is_mobile": true,
"memory": 0,
"os": "os",
"os_version": "os_version",
"sdk_name": "sdk_name",
"sdk_version": "sdk_version",
"user_agent": "user_agent",
"webgl_support": "webgl_support"
},
"events": [
{
"timestamp": "timestamp",
"type": "type"
}
],
"ip_information": {
"city": "city",
"country": "country",
"ip_location": "ip_location",
"ipv4": "ipv4",
"org": "org",
"portal": "portal",
"region": "region",
"timezone": "timezone"
},
"precall_network_information": {
"backend_rtt": 0,
"effective_networktype": "effective_networktype",
"fractional_loss": 0,
"jitter": 0,
"reflexive_connectivity": true,
"relay_connectivity": true,
"rtt": 0,
"throughtput": 0,
"turn_connectivity": true
},
"status": "status"
},
"preset_name": "preset_name",
"quality_stats": [
{
"audio_bandwidth": 0,
"audio_packet_loss": 0,
"audio_stats": [
{
"concealment_events": 0,
"jitter": 0,
"packets_lost": 0,
"quality": 0,
"timestamp": "timestamp"
}
],
"average_quality": 0,
"end": "end",
"peer_id": "peer_id",
"start": "start",
"video_bandwidth": 0,
"video_packet_loss": 0,
"video_stats": [
{
"frame_height": 0,
"frame_width": 0,
"frames_dropped": 0,
"frames_per_second": 0,
"jitter": 0,
"packets_lost": 0,
"quality": 0,
"timestamp": "timestamp"
}
]
}
],
"updated_at": "updated_at",
"user_id": "user_id"
}
},
"success": true
}